> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1contentfileinfo



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Content//swagger/v1/swagger.json post /api/v1/content/fileinfo
openapi: 3.0.0
info:
  title: NDS.Services.Content
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Content/
security: []
paths:
  /api/v1/content/fileinfo:
    post:
      tags:
        - Content
      operationId: Content_GetFileInfo
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetFileInfoRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFileInfoResult'
components:
  schemas:
    GetFileInfoRequest:
      type: object
      additionalProperties: false
      properties:
        Paths:
          type: array
          nullable: true
          items:
            type: string
    GetFileInfoResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResultOfFileInfoResult'
        - type: object
          additionalProperties: false
    MultiValueResultOfFileInfoResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/FileInfoResult'
    MultiValueResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          x-abstract: true
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ResultItem'
    FileInfoResult:
      allOf:
        - $ref: '#/components/schemas/ResultItem'
        - type: object
          additionalProperties: false
          properties:
            File:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/File'
            Path:
              type: string
              nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ResultItem:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: integer
              format: int32
    File:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Path:
          type: string
          nullable: true
        Extension:
          type: string
          nullable: true
        DateLastModified:
          type: string
          format: date-time
        DateCreated:
          type: string
          format: date-time
          nullable: true
        Size:
          type: integer
          format: int64
        MD5:
          type: string
          format: byte
          nullable: true
        Hidden:
          type: boolean
        ParentFolder:
          type: string
          nullable: true
        GenericContentType:
          type: string
          nullable: true
        ContentType:
          type: string
          nullable: true
        Permissions:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````